Bug 237911 - Additional information required for installing on zseries lpar
Additional information required for installing on zseries lpar
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: Installation_Guide (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan Lerch
Michael Hideo
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-25 21:11 EDT by Norm Murray
Modified: 2011-01-24 16:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-12 20:31:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2007-04-25 21:11:28 EDT
Description of problem:

Installing on an LPAR with many devices requires special considerations to
ensure that the system does not run out of memory. Partners request that
additional information be added to the Installation guide specificlly for LPAR
devices.

This information could possibly fit in:

Chapter 1 first page as one of the
"Steps to Get You Started".

And then maybe repeat in either Appendix D "Troubleshooting Your Installation of
Red Hat Enterprise" - D.1 "You are Unable to Boot Red Hat Enterprise Linux" or
Appendix F "Additional Information for S/390 and zSeries Users" under a new
subchapter. 

Additional info to be appended: (Please read through this for spelling or
gramatical errors):


===========================================
When installing Linux in an LPAR, steps should be taken to ensure that only the
devices that are used by the RHEL system are visible to the kernel.

When Red Hat Enterprise Linux runs in in LPAR, it attempts to acquire
information about all devices granted to the LPAR, this may result
in an out-of-memory condition, but can be worked around with the cio_ignore
parameter to the zipl. Setting the cio_ignore parameter creates a black list and
prevents the kernel from creating data structures for all devices defined in the
IOCDS.

These can be either passed at boot time interactively as paramters to zipl or
made more persistant by being set in /etc/zipl.conf file.


Interactively
-------------

To set the cio_parameter from the interactive menu, it should appear in the
format below:

       cio_ignore=all,]0.0.1300-0.0.1302,]0.0.343d,]0.0.3633

The right square bracket is interpreted as a logical NOT on the interactive
command line


Persistantly
------------

After booting the system, these parameters can be made permanent by modifying
the /etc/zipl.conf to include the cio_ignore option on the parameter line in the
[ipl] section.

Run the zipl command to make the changes to the /etc/zipl.conf take effect at
tne next reboot.

The cio_ignore option differs subtly from the interactive options, the right
square bracket is not used and the exclamation point is interpreted as a logical
NOT.
Comment 1 Don Domingo 2007-04-26 00:01:20 EDT
Wade,

can you provide me with a link to the page where you would like this content to
appear in? just so i can verify which of the pre-install XMLs i should be
working on.

thanks!
Comment 9 Don Domingo 2007-04-26 19:26:06 EDT
reassigning this bug to mhideo@redhat.com

Mike, please rebuild the RHEL4.5 Installation_Guide (i think module name
Installation_Guide_450) and have it staged to the docs page of the website.

will hand you the RHEL
Comment 15 RHEL Product and Program Management 2007-06-09 09:24:38 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 19 Don Domingo 2007-07-25 20:23:05 EDT
already edited in source as per Comment#12 by wmealing.

reassigning to mhideo for next step. 
Comment 25 Michael Hideo 2007-10-22 22:48:49 EDT
Removing automation notification
Comment 26 Issue Tracker 2007-10-23 15:55:28 EDT
----- Additional Comments From markver@us.ibm.com  2007-10-23 14:55 EDT
-------
There's nothing on https://www.redhat.com/docs/manuals/enterprise/ with a
Sept
2007  date or later.  Where can we find the updated documentation. 


This event sent from IssueTracker by jkachuck 
 issue 118985
Comment 34 Andrew Ross 2009-11-12 20:31:07 EST
Closed by Issue tracker.

Note You need to log in before you can comment on or make changes to this bug.